## org.eclipse.datatools.sqltools.debugger.debug
Class SPModelPresentation

    java.lang.Object
      org.eclipse.datatools.sqltools.debugger.debug.SPModelPresentation

All Implemented Interfaces:
  org.eclipse.debug.ui.IDebugModelPresentation, org.eclipse.debug.ui.ISourcePresentation, org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider

    public class SPModelPresentation

extends java.lang.Object
implements org.eclipse.debug.ui.IDebugModelPresentation

Author:
  Yang Liu

Field Summary

Fields inherited from interface org.eclipse.debug.ui.IDebugModelPresentation
`DISPLAY_VARIABLE_TYPE_NAMES`

Constructor Summary
`SPModelPresentation()`

Method Summary
`void` `addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`
`void` `computeDetail(org.eclipse.debug.core.model.IValue value, org.eclipse.debug.ui.IValueDetailListener listener)`
`void` `dispose()`
`java.lang.String` `getEditorId(org.eclipse.ui.IEditorInput input, java.lang.Object element)`
`org.eclipse.ui.IEditorInput` `getEditorInput(java.lang.Object item)`
`org.eclipse.swt.graphics.Image` `getImage(java.lang.Object element)`
`java.lang.String` `getText(java.lang.Object item)`
`boolean` `isLabelProperty(java.lang.Object element, java.lang.String property)`
`void` `removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`
`void` `setAttribute(java.lang.String attribute, java.lang.Object value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SPModelPresentation

    public SPModelPresentation()

Method Detail

### setAttribute

    public void setAttribute(java.lang.String attribute,
                             java.lang.Object value)

  Specified by:
    `setAttribute` in interface `org.eclipse.debug.ui.IDebugModelPresentation`

### computeDetail

    public void computeDetail(org.eclipse.debug.core.model.IValue value,
                              org.eclipse.debug.ui.IValueDetailListener listener)

  Specified by:
    `computeDetail` in interface `org.eclipse.debug.ui.IDebugModelPresentation`

### getEditorInput

    public org.eclipse.ui.IEditorInput getEditorInput(java.lang.Object item)

  Specified by:
    `getEditorInput` in interface `org.eclipse.debug.ui.ISourcePresentation`

### getEditorId

    public java.lang.String getEditorId(org.eclipse.ui.IEditorInput input,
                                        java.lang.Object element)

  Specified by:
    `getEditorId` in interface `org.eclipse.debug.ui.ISourcePresentation`

### getText

    public java.lang.String getText(java.lang.Object item)

  Specified by:
    `getText` in interface `org.eclipse.debug.ui.IDebugModelPresentation`
  Specified by:
    `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`

### getImage

    public org.eclipse.swt.graphics.Image getImage(java.lang.Object element)

  Specified by:
    `getImage` in interface `org.eclipse.debug.ui.IDebugModelPresentation`
  Specified by:
    `getImage` in interface `org.eclipse.jface.viewers.ILabelProvider`

### addListener

    public void addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `addListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### isLabelProperty

    public boolean isLabelProperty(java.lang.Object element,
                                   java.lang.String property)

  Specified by:
    `isLabelProperty` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### removeListener

    public void removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `removeListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`